// Copyright (c) 1998-2005 B2C2, Incorporated.  All Rights Reserved.
//
// THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF B2C2, INCORPORATED.
// The copyright notice above does not evidence any
// actual or intended publication of such source code.
//
// This file is proprietary source code of B2C2, Incorporated. and is released pursuant to and
// subject to the restrictions of the non-disclosure agreement and license contract entered
// into by the parties.
//
//
#pragma once

#include "TunerCtrlDlg.h"

// AVStreamingDlg dialog

class CAVStreamingDlg : public CDialog
{
	DECLARE_DYNAMIC(CAVStreamingDlg)

public:
	CAVStreamingDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CAVStreamingDlg();

// Dialog Data
	enum { IDD = IDD_AV_STREAMING_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	virtual void OnCancel();
	virtual void PostNcDestroy();

	virtual BOOL OnInitDialog();

public:

	void PassMulticastInfo(tMulticastInfo* pMulticastInfo)
	{
		m_pMulticastInfo = pMulticastInfo;
	}

	void PassB2C2MPEG2Adapter(CB2FilterGraphHandler* pB2FilterGraph)
	{
		m_pB2FilterGraph = pB2FilterGraph;
	}

private:
	tMulticastInfo* m_pMulticastInfo;
	CB2FilterGraphHandler		*m_pB2FilterGraph;

public:
	afx_msg void OnDestroy();
};
